org.wildfly.swarm.config.messaging.activemq.server

## Class InVMConnector<T extends InVMConnector<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.InVMConnector<T>

-     public class InVMConnector<T extends InVMConnector<T>>
      extends Object

  Used by an in-VM client to define how it connects to a server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InVMConnector(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `param(String key, Object value)` A key-value pair understood by the connector factory-class and used to configure it.
    `Map` | `params()` A key-value pair understood by the connector factory-class and used to configure it.
    `T` | `params(Map value)` A key-value pair understood by the connector factory-class and used to configure it.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `serverId()` The server id.
    `T` | `serverId(Integer value)` The server id.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMConnector

          public InVMConnector(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### params

          public Map params()

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### params

          public T params(Map value)

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### param

          public T param(String key,
                         Object value)

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### serverId

          public Integer serverId()

      The server id.

    - #### serverId

          public T serverId(Integer value)

      The server id.

Copyright © 2017 JBoss by Red Hat. All rights reserved.